[med-svn] r22101 - in trunk/packages/dssp/trunk/debian: . tests

Tatiana Malygina latticetower-guest at moszumanska.debian.org
Tue Jun 7 15:51:55 UTC 2016


Author: latticetower-guest
Date: 2016-06-07 15:51:54 +0000 (Tue, 07 Jun 2016)
New Revision: 22101

Added:
   trunk/packages/dssp/trunk/debian/tests/
   trunk/packages/dssp/trunk/debian/tests/control
   trunk/packages/dssp/trunk/debian/tests/installation-test
Log:
add testsuite

Added: trunk/packages/dssp/trunk/debian/tests/control
===================================================================
--- trunk/packages/dssp/trunk/debian/tests/control	                        (rev 0)
+++ trunk/packages/dssp/trunk/debian/tests/control	2016-06-07 15:51:54 UTC (rev 22101)
@@ -0,0 +1,2 @@
+Tests: installation-test
+Depends: @

Added: trunk/packages/dssp/trunk/debian/tests/installation-test
===================================================================
--- trunk/packages/dssp/trunk/debian/tests/installation-test	                        (rev 0)
+++ trunk/packages/dssp/trunk/debian/tests/installation-test	2016-06-07 15:51:54 UTC (rev 22101)
@@ -0,0 +1,29 @@
+#!/bin/sh
+# autopkgtest check: build and run with default test data
+# Author: Tatiana Malygina <merlettaia at gmail.com>
+
+set -e
+
+pkg=dssp
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/doc/${pkg}/examples/* .
+find . -type f -name "*.gz" -exec gunzip \{\} \;
+for lnk in `find . -type l -name "*.gz"` ; do
+    ln -s `basename $(readlink $lnk) .gz` `echo $lnk | sed 's/\.gz$//'`
+    rm $lnk
+done
+
+#this should process a 'ATOM' portion of pdb file from RCSB.org
+mkdssp -i 2OSL_fragment.pdb -o dssp_result.txt
+[ -s dssp_result.txt ]
+
+#this should process a typical pdb-file from RCSB.org
+mkdssp -i 5bmg.pdb -o dssp_result2.txt
+[ -s dssp_result2.txt ]




More information about the debian-med-commit mailing list